import { HtmlTextParser } from "../../libs/new_wx/HtmlTextParser";
import Panel from "../../libs/new_wx/components/Panel";
import { newShowLog, newClickLog } from "../Main";


export default class HasTimesPanel extends Panel {
    closeBtn2: eui.Button
    start() {
        super.start();
        newShowLog(6)
        this['closeBtn2'].addEventListener(egret.TouchEvent.TOUCH_TAP, () => {
            newClickLog(6)
            this.hidePanel();
        }, this)
    }

    protected get closeBtns(): eui.Button[] { return [this['closeBtn']] }

    get skinKey() { return 'HasTimes' }
}